Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 662949 - Review Request: freedups - Hard-links identical files to save space
Summary: Review Request: freedups - Hard-links identical files to save space
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-12-14 09:10 UTC by Thierry Vignaud
Modified: 2012-04-24 22:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-24 22:41:43 UTC


Attachments (Terms of Use)

Description Thierry Vignaud 2010-12-14 09:10:23 UTC
Spec URL: http://kenobi.mandriva.com/~tv/FC/freedups.spec
SRPM URL: http://kenobi.mandriva.com/~tv/FC/freedups-0.6.14-1.fc14.src.rpm
Description: 
Freedups hard-links identical files to save space.  For files that are
generally read from and not written to, this can provide a
significant space savings with no performance degradation.  In fact,
in a small number of cases, this can speed up the system.

This is my first package for Fedora (I'm packaging for Mandriva Linux
since 1999), and I'm seeking a sponsor for Fedora.

Comment 1 Michael Schwendt 2010-12-25 09:21:53 UTC
Brief look at the spec file only (no full review):

It is likely that some of these issues are reported by rpmlint, too, so please run rpmlint on the src.rpm package and the built rpms.


> %define name	freedups
> %define	version	0.6.14
> %define release 1%{?dist}
>
> Name:		%{name}	
> Version:	%{version}
> Release:	%{release}	

Why the extra redefinition? "Name:" defines %name, "Version:" defines %version, and "Release:" defines %release already. It's sufficient to just write:

Name:		freedups
Version:	0.6.14
Release:	1%{?dist}


> License:	GPL

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#GPL_and_LGPL

plus

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

since the license text is not included, and all that's there is the brief comment (from 2002?) that "GPL" is used. It cannot be assumed that it is GPLv2+.


> BuildRoot:	%{_tmppath}/%{name}--buildroot

Note that several details related to the BuildRoot are not needed anymore since Fedora 13:

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean


> install -m755 %{name}.pl $RPM_BUILD_ROOT%{_bindir}/%{name}

Typically, option -p is used for "install" or "cp" to preserve timestamps. Less useful for files which change often, but added value for old files, so one can quickly notice the age of a file (e.g. ancient Documentation).

Comment 2 Thomas Spura 2011-11-26 14:15:21 UTC
Any news here?

The spec from above is not accessible anymore...

Comment 3 Jason Tibbitts 2012-04-24 22:41:43 UTC
No response and no package to review  in many months now; closing.


Note You need to log in before you can comment on or make changes to this bug.